VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Signal Frequency Measure"
   ClientHeight    =   4395
   ClientLeft      =   915
   ClientTop       =   1230
   ClientWidth     =   7740
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4395
   ScaleWidth      =   7740
   Begin VB.TextBox eTotalBoards 
      Alignment       =   1  'Right Justify
      BackColor       =   &H00C0FFFF&
      Enabled         =   0   'False
      Height          =   288
      Left            =   6240
      TabIndex        =   3
      Text            =   "0"
      Top             =   720
      Width           =   972
   End
   Begin VB.TextBox eSelectBoard 
      Alignment       =   1  'Right Justify
      BackColor       =   &H00C0FFC0&
      Height          =   372
      Left            =   6240
      TabIndex        =   2
      Text            =   "1"
      Top             =   1680
      Width           =   972
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Start"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   492
      Left            =   6240
      TabIndex        =   1
      Top             =   2280
      Width           =   1092
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Exit"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   492
      Left            =   6240
      TabIndex        =   0
      Top             =   3000
      Width           =   1092
   End
   Begin VB.Label Label14 
      Caption         =   "Choose a Board Number to Active"
      ForeColor       =   &H00FF0000&
      Height          =   372
      Left            =   6240
      TabIndex        =   5
      Top             =   1200
      Width           =   1332
   End
   Begin VB.Label Label3 
      Caption         =   "Total Boards : "
      ForeColor       =   &H00FF0000&
      Height          =   252
      Left            =   6240
      TabIndex        =   4
      Top             =   360
      Width           =   1092
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'/****************************************************************************/
'/*  PCI-TMC12:        Signal Frequency Measure DEMO                   */
'/****************************************************************************/
'/*  The setting for this example as follows:                    */
'/*  1). To select J19 to EXTG1, J22 CLOCK1=8M hz                */
'/*  2). J20 select \COUT1, J23 select ECLK2                 */
'/*  3). connect external signal to (pin21, pin19)               */
'/*  4). the frequency of input signal will be shown(125 Hz min)     */
'/*  5). the frequency of input signal: 125 Hz min, recommand >10KHz to test */
'/****************************************************************************/
'/* For the proper operation the TMC12, the following functions must be used.*/
'/*    TMC12_DriverInit();     <--   initial the driver              */
'/*    TMC12_DriverClose();    <--   close the driver                */
'/****************************************************************************/

Option Explicit

Dim wTotalBoards As Long, i As Long, ReadValue As Long
Dim gAddrControl As Integer, dwOffset As Long, dwBoardNo As Long
Dim counter As Byte, cMode As Byte

Private Sub Command1_Click()

Dim wCount As Long
Dim t As Single, f As Single
Dim Data As Byte, cVal As Byte

dwBoardNo = Val(eSelectBoard.Text)

If PTMC12_OpenBoard(dwBoardNo, 1) <> PCI_NoError Then
    MsgBox "This board can't active!!"
    Exit Sub
End If
    
Cls
Print "*** Frequency must be > 125 Hz ***"
    
counter = 1
cMode = 0
i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, &HFFFF) 'Counter1 down count from FFFF

counter = 2
i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, &HFFFF) 'Counter2 down count from FFFF
    
Do While True
    dwOffset = &HC
    cVal = &HE2
    PTMC12_WriteByte dwBoardNo, dwOffset, cVal
    dwOffset = 0
    PTMC12_ReadByte dwBoardNo, dwOffset, Data
        
    If ((Data And &H80) <> 0) Then
        Exit Do
    End If
Loop
    
counter = 2
i = PTMC12_ReadCounter(dwBoardNo, counter, ReadValue) 'Read counter2 Value
        
wCount = 65535 - ReadValue + 2
' COUT 0 = 65536 * 0.000125 = 8.192 ms
t = 8.192 / wCount  ' ms
f = (1 / t) * 1000  ' f= 1/T
        
Print "Count="; wCount; "Frequency="; f; " Hz"
PTMC12_CloseBoard dwBoardNo 'Close select board

End Sub

Private Sub Command2_Click()
    PTMC12_CloseAll 'Close all PCI-TMC12A in your system
    End
End Sub

Private Sub Form_Load()

    If PTMC12_DriverInit() <> PCI_NoError Then
        MsgBox "Device Driver Open Error !!!"
        Command1.Enabled = False
    End If
    
   eTotalBoards.Text = PTMC12_DetectBoards() 'Search how many PCI-TMC12A in your system
   wTotalBoards = eTotalBoards.Text

End Sub

Private Sub Form_Unload(Cancel As Integer)
    PTMC12_CloseAll 'Close all PCI-TMC12A
End Sub
