Attribute VB_Name = "Ptmc12"

Global Const PCI_NoError = 0
Global Const PCI_DriverOpenError = 1
Global Const PCI_DriverNoOpen = 2
Global Const PCI_GetDriverVersionError = 3
Global Const PCI_InstallIrqError = 4
Global Const PCI_ClearIntCountError = 5
Global Const PCI_GetIntCountError = 6
Global Const PCI_RegisterApcError = 7
Global Const PCI_RemoveIrqError = 8
Global Const PCI_FindBoardError = 9
Global Const PCI_ExceedBoardNumber = 10
Global Const PCI_ResetError = 11
Global Const PCI_IrqMaskError = 12
Global Const PCI_ActiveModeError = 13
Global Const PCI_GetACtiveFlagError = 14
Global Const PCI_ActiveFlagEndOfQueue = 15

Global Const PCI_BoardIsNotOpen = 16
Global Const PCI_BoardOpenError = 17
Global Const PCI_BoardNoIsZero = 18
Global Const PCI_BoardNoExceedFindBoards = 19
Global Const PCI_InputParameterError = 20
Global Const PCI_IntInitialStateError = 21
Global Const PCI_IntInitialValueError = 22
Global Const PCI_TimeOut = 23

' The Test functions
Declare Function PTMC12_FloatSub Lib "PTMC12.dll" _
         (ByVal a As Single, ByVal b As Single) As Single
Declare Function PTMC12_ShortSub Lib "PTMC12.dll" _
         (ByVal a As Integer, ByVal b As Integer) As Integer
Declare Function PTMC12_IntSub Lib "PTMC12.dll" _
         (ByVal a As Long, ByVal b As Long) As Long
Declare Function PTMC12_GetDllVersion Lib "PTMC12.dll" () As Long

' The Driver functions
Declare Function PTMC12_DriverInit Lib "PTMC12.dll" () As Long
Declare Function PTMC12_DetectBoards Lib "PTMC12.dll" () As Long
Declare Function PTMC12_ReadBoardId Lib "PTMC12.dll" _
         (ByVal dwBoardNo As Long, dwVendorId As Long, dwDeviceId As Long, _
          dwSubVendorId As Long, dwSubDeviceId As Long) As Long
Declare Function PTMC12_OpenBoard Lib "PTMC12.dll" _
         (ByVal dwBoardNo As Long, ByVal dwIntEnable As Long) As Long
Declare Function PTMC12_ReadBoardStatus Lib "PTMC12.dll" _
         (ByVal dwBoardNo As Long) As Long
Declare Function PTMC12_CloseBoard Lib "PTMC12.dll" _
         (ByVal dwBoardNo As Long) As Long
Declare Function PTMC12_CloseAll Lib "PTMC12.dll" () As Long


' I/O functions
Declare Function PTMC12_WriteByte Lib "PTMC12.dll" _
         (ByVal dwBoardNo As Long, ByVal dwOffset As Long, _
         ByVal Data As Byte) As Long
Declare Function PTMC12_WriteWord Lib "PTMC12.dll" _
         (ByVal dwBoardNo As Long, ByVal dwOffset As Long, _
         ByVal Data As Integer) As Long
         
         
         
Declare Function PTMC12_ReadByte Lib "PTMC12.dll" _
         (ByVal dwBoardNo As Long, ByVal dwOffset As Long, _
         Data As Byte) As Long
Declare Function PTMC12_ReadWord Lib "PTMC12.dll" _
         (ByVal dwBoardNo As Long, ByVal dwOffset As Long, _
         Data As Integer) As Long


' Interrupt functions
Declare Function PTMC12_InstallCallBackFunc Lib "PTMC12.dll" _
        (ByVal dwBoardNo As Long, ByVal dwInitialState As Long, _
        ByVal user_func As Long) As Integer
Declare Function PTMC12_RemoveAllCallBackFunc Lib "PTMC12.dll" () As Integer
Declare Function PTMC12_EnableInt Lib "PTMC12.dll" (ByVal dwBoardNo As Long) As Integer
Declare Function PTMC12_DisableInt Lib "PTMC12.dll" (ByVal dwBoardNo As Long) As Integer
Declare Function PTMC12_WriteCounter Lib "PTMC12.dll" (ByVal dwBoardNo As Long, ByVal bCounter As Byte, ByVal bMode As Byte, ByVal Data As Long) As Long
Declare Function PTMC12_ReadCounter Lib "PTMC12.dll" (ByVal dwBoardNo As Long, ByVal bCounter As Byte, Data As Long) As Long

